Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.app
Class GenericCommand

    java.lang.Object
      |
      +--com.macromedia.generator.app.GenericCommand

All Implemented Interfaces:
  FlashCommand

Direct Known Subclasses:
  AddExternalMediaCommand, CacheCommand, ChartCommand, DataSourceEncodingCommand, GifBuildCommand, InsertGifFileCommand, InsertJpegFileCommand, InsertMovieClipCommand, InsertMovieFileCommand, InsertPngFileCommand, InsertSoundCommand, JPEGSetCommand, ListCommand, MovieSetCommand, MP3SoundCommand, PieChartCommand, PlayCommand, PlotMovieClipCommand, PngSetCommand, ReplaceSymbolCommand, ReplicateMovieClipCommand, RNWKSetCommand, ScrollingListCommand, SetAlphaCommand, SetBrightnessCommand, SetCustomColorCommand, SetEnvironment2Command, SetEnvironmentCommand, SetScaleCommand, SetTintCommand, StockChartCommand, StopCommand, TableCommand, TickerCommand

public abstract class GenericCommand
extends java.lang.Object
implements FlashCommand

Constructor Summary
`protected` | `GenericCommand()`

Method Summary
`int` | `convertStringToInt(java.lang.String s, int i)`
`abstract void` | `doCommand(FlashEnvironment flashenvironment, Script script, Context context, int i, java.util.Properties properties)`
`int` | `findColumn(java.lang.String[][] as, java.lang.String s)`
`boolean` | `getBoolParam(Context context, java.util.Properties properties, java.lang.String s)`
`int` | `getIntParam(Context context, java.util.Properties properties, java.lang.String s, int i)`
`Shape` | `getMask(GenVector genvector, Rect rect)`
`java.lang.String` | `getResourceString(FlashEnvironment flashenvironment, java.lang.String s)`
`java.lang.String` | `getStringParam(Context context, java.util.Properties properties, java.lang.String s, java.lang.String s1)`
`java.lang.String` | `getStringParamEmpty(Context context, java.util.Properties properties, java.lang.String s)`
`void` | `logError(FlashEnvironment flashenvironment, java.lang.String s, java.lang.String s1)`
`void` | `logMessage(FlashEnvironment flashenvironment, java.lang.String s, java.lang.String s1)`
`void` | `logWarning(FlashEnvironment flashenvironment, java.lang.String s, java.lang.String s1)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericCommand

    protected GenericCommand()

Method Detail

### convertStringToInt

    public int convertStringToInt(java.lang.String s,
                                  int i)

### doCommand

    public abstract void doCommand(FlashEnvironment flashenvironment,
                                   Script script,
                                   Context context,
                                   int i,
                                   java.util.Properties properties)
                            throws FlashCommandException

  Specified by:
    `doCommand` in interface `FlashCommand`

### findColumn

    public int findColumn(java.lang.String[][] as,
                          java.lang.String s)

### getBoolParam

    public boolean getBoolParam(Context context,
                                java.util.Properties properties,
                                java.lang.String s)

### getIntParam

    public int getIntParam(Context context,
                           java.util.Properties properties,
                           java.lang.String s,
                           int i)

### getMask

    public Shape getMask(GenVector genvector,
                         Rect rect)

### getResourceString

    public java.lang.String getResourceString(FlashEnvironment flashenvironment,
                                              java.lang.String s)

### getStringParam

    public java.lang.String getStringParam(Context context,
                                           java.util.Properties properties,
                                           java.lang.String s,
                                           java.lang.String s1)

### getStringParamEmpty

    public java.lang.String getStringParamEmpty(Context context,
                                                java.util.Properties properties,
                                                java.lang.String s)

### logError

    public void logError(FlashEnvironment flashenvironment,
                         java.lang.String s,
                         java.lang.String s1)

  Specified by:
    `logError` in interface `FlashCommand`

### logMessage

    public void logMessage(FlashEnvironment flashenvironment,
                           java.lang.String s,
                           java.lang.String s1)

  Specified by:
    `logMessage` in interface `FlashCommand`

### logWarning

    public void logWarning(FlashEnvironment flashenvironment,
                           java.lang.String s,
                           java.lang.String s1)

  Specified by:
    `logWarning` in interface `FlashCommand`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD